<template>
    <div id="dryer-chart" class="mb-4">
        <highcharts :options="options"></highcharts>
    </div>
</template>

<script>
import {Chart} from 'highcharts-vue'

export default {
    props: ["series"],
    components: {
        highcharts: Chart
    },
    data: function () {
        return {
            options: {
                credits: false,
                title: {
                    text: 'Dryer'
                },
                chart: {
                    height: 260
                },
                xAxis: {
                    categories: this.series.xAxis
                },
                yAxis: [{
                    max: 100,
                    tickInterval: 20,
                    min: 0,
                    alignTicks: false,
                    title: {
                        text: 'Temperature(°C)',
                        align: 'high',
                        y: -14,
                        x: -10,
                        offset: -40,
                        rotation: 0
                    },
                    stackLabels: {
                        enabled: true,
                        style: {
                            fontWeight: 'bold',
                        }
                    },
                    opposite: false
                }, {
                    max: 100,
                    tickInterval: 20,
                    min: 0,
                    alignTicks: false,
                    title: {
                        text: 'Humidity (%)',
                        align: 'high',
                        y: -15,
                        offset: -20,
                        rotation: 0
                    },
                    opposite: true
                }],
                legend: {
                    align: 'right',
                    x: -30,
                    verticalAlign: 'bottom',
                    y: 15,
                    backgroundColor: 'white',
                    borderColor: '#CCC',
                    borderWidth: 1,
                    shadow: false
                },
                plotOptions: {
                    line: {
                        marker: {
                            enabled: false
                        }
                    }
                },
                series: this.series.yAxis
            }
        }
    }
}
</script>
